Package org.codehaus.groovy.control.messages

# Class ExceptionMessage

java.lang.Object
org.codehaus.groovy.control.messages.Message
org.codehaus.groovy.control.messages.ExceptionMessage

public class ExceptionMessage extends Message
A class for error messages produced by the parser system.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected final boolean`
  `debug`
  Indicates whether debug output is enabled for this message.
  `protected final ProcessingUnit`
  `owner`
  Processing unit that reported the exception.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ExceptionMessage(Exception cause, boolean debug, ProcessingUnit owner)`
  Creates an exception-backed compilation message.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Exception`
  `getCause()`
  Returns the underlying Exception.
  `Diagnostic`
  `toDiagnostic()`
  The exception summary without its stack trace, which only the full rendering includes.
  `void`
  `write(PrintWriter output, Janitor janitor)`
  Writes out a nicely formatted summary of the exception.

  ### Methods inherited from class org.codehaus.groovy.control.messages.Message

  `create, create, create, write`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### debug

    protected final boolean debug
    Indicates whether debug output is enabled for this message.

  - ### owner

    protected final ProcessingUnit owner
    Processing unit that reported the exception.

- ## Constructor Details

  - ### ExceptionMessage

    public ExceptionMessage(Exception cause, boolean debug, ProcessingUnit owner)
    Creates an exception-backed compilation message.
    Parameters:
      `cause` - the underlying exception
      `debug` - whether debug output is enabled
      `owner` - the owning processing unit

- ## Method Details

  - ### getCause

    public Exception getCause()
    Returns the underlying Exception.

  - ### toDiagnostic

    public Diagnostic toDiagnostic()
    The exception summary without its stack trace, which only the full rendering includes.
    Overrides:
      `toDiagnostic` in class `Message`
    Returns:
      the diagnostic view, never `null`

  - ### write

    public void write(PrintWriter output, Janitor janitor)
    Writes out a nicely formatted summary of the exception.
    Specified by:
      `write` in class `Message`